## apt 0.6.43.3ubuntu2

=== debian/changelog ===
apt (0.6.43.3ubuntu2) dapper; urgency=low

  * apt-pkg/deb/dpkgpm.cc: wording fixes (thanks to Matt Zimmerman)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 18 Apr 2006 13:24:40 +0200

apt (0.6.43.3ubuntu1) dapper; urgency=low

  * apt-pkg/acquire.cc: don't show ETA if it is 0 or absurdely large in 
    the status-fd (ubuntu #28954)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Mar 2006 20:34:46 +0200

apt (0.6.43.3) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-186:
    * ca.po: Completed to 512t. Closes: #351592
    * eu.po: Completed to 512t. Closes: #350483
    * ja.po: Completed to 512t. Closes: #349806
    * pl.po: Completed to 512t. Closes: #349514
    * sk.po: Completed to 512t. Closes: #349474
    * gl.po: Completed to 512 strings Closes: #349407
    * vi.po: Completed to 512 strings
    * sv.po: Completed to 512 strings Closes: #349210
    * ru.po: Completed to 512 strings Closes: #349154
    * da.po: Completed to 512 strings Closes: #349084
    * fr.po: Completed to 512 strings
    * LINGUAS: Add Welsh
    * *.po: Updated from sources (512 strings)
    * vi.po: Completed to 511 strings  Closes: #348968
  * apt-pkg/deb/deblistparser.cc:
    - don't explode on a DepCompareOp in a Provides line, but warn about
      it and ignore it otherwise (thanks to James Troup for reporting it)
  * cmdline/apt-get.cc:
    - don't lock the lists directory in DoInstall, breaks --print-uri 
      (thanks to James Troup for reporting it)
  * debian/apt.dirs: create /etc/apt/sources.list.d 
  * make apt-cache madison work without deb-src entries (#352583)
  * cmdline/apt-get.cc: only run the list-cleaner if a update was 
    successfull
  * apt-get update errors are only warnings nowdays
  * be more careful with the signature file on network failures

 --  Michael Vogt <mvo@debian.org>  Wed, 22 Feb 2006 10:13:04 +0100

apt (0.6.43.2ubuntu1) dapper; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-182:
  * ca.po: Completed to 512t. Closes: #351592
    * eu.po: Completed to 512t. Closes: #350483
    * ja.po: Completed to 512t. Closes: #349806
    * pl.po: Completed to 512t. Closes: #349514
    * sk.po: Completed to 512t. Closes: #349474
    * gl.po: Completed to 512 strings Closes: #349407
    * vi.po: Completed to 512 strings
    * sv.po: Completed to 512 strings Closes: #349210
    * ru.po: Completed to 512 strings Closes: #349154
    * da.po: Completed to 512 strings Closes: #349084
    * fr.po: Completed to 512 strings
    * LINGUAS: Add Welsh
    * *.po: Updated from sources (512 strings)
    * vi.po: Completed to 511 strings  Closes: #348968
  * apt-pkg/deb/deblistparser.cc:
    - don't explode on a DepCompareOp in a Provides line, but warn about
      it and ignore it otherwise (thanks to James Troup for reporting it)
  * cmdline/apt-get.cc:
    - don't lock the lists directory in DoInstall, breaks --print-uri 
      (thanks to James Troup for reporting it)
  * debian/apt.dirs: create /etc/apt/sources.list.d 
  * make apt-cache madison work without deb-src entries (#352583)
  * cmdline/apt-get.cc: only run the list-cleaner if a update was 
    successfull
  * apt-get update errors are only warnings nowdays
  * be more careful with the signature file on network failures

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Feb 2006 22:27:48 +0100

apt (0.6.43.2) unstable; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-166:
    - en_GB.po, de.po: fix spaces errors in "Ign " translations Closes: #347258
    - makefile: make update-po a pre-requisite of clean target so
    	        that POT and PO files are always up-to-date
    - sv.po: Completed to 511t. Closes: #346450
    - sk.po: Completed to 511t. Closes: #346369
    - fr.po: Completed to 511t
    - *.po: Updated from sources (511 strings)
    - el.po: Completed to 511 strings Closes: #344642
    - da.po: Completed to 511 strings Closes: #348574
    - es.po: Updated to 510t1f Closes: #348158
    - gl.po: Completed to 511 strings Closes: #347729
    - it.po: Yet another update Closes: #347435
  * added debian-archive-keyring to the Recommends (closes: #347970)
  * fixed message in apt-key to install debian-archive-keyring 
  * typos fixed in apt-cache.8 (closes: #348348, #347349)
  * add patch to fix http download corruption problem (thanks to
    Petr Vandrovec, closes: #280844, #290694)

 -- Michael Vogt <mvo@debian.org>  Thu, 19 Jan 2006 00:06:33 +0100

apt (0.6.43.1ubuntu1) dapper; urgency=low

  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-159:
    - en_GB.po, de.po: fix spaces errors in "Ign " translations
      Closes: #347258
    - makefile: make update-po a pre-requisite of clean target so
	        that POT and PO files are always up-to-date
    - sv.po: Completed to 511t. Closes: #346450
    - sk.po: Completed to 511t. Closes: #346369
    - fr.po: Completed to 511t
    - *.po: Updated from sources (511 strings)
  * add patch to fix http download corruption problem (thanks to
    Petr Vandrovec, closes: #280844, #290694)
  * added APT::Periodic::Unattended-Upgrade (requires the package
    "unattended-upgrade")

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 10 Jan 2006 17:09:31 +0100

apt (0.6.43.1) unstable; urgency=low
  
  * Merge bubulle@debian.org--2005/apt--main--0 up to patch-148:
    * fr.po: Completed to 510 strings
    * it.po: Completed to 510t
    * en_GB.po: Completed to 510t
    * cs.po: Completed to 510t
    * zh_CN.po: Completed to 510t
    * el.po: Updated to 510t
    * vi.po: Updated to 383t93f34u
    * tl.po: Completed to 510 strings (Closes: #344306)
    * sv.po: Completed to 510 strings (Closes: #344056)
    * LINGUAS: disabled Hebrew translation. (Closes: #313283)
    * eu.po: Completed to 510 strings (Closes: #342091)
  * apt-get source won't download already downloaded files again
    (closes: #79277)
  * share/debian-archive.gpg: new 2006 ftp-archive signing key added
    (#345891)


=== debian/control ===
Source: apt
Section: admin
Priority: important
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
Standards-Version: 3.6.1
Build-Depends: debhelper (>= 4.1.62), libdb4.3-dev, gettext (>= 0.12)
Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)

Package: apt
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
Provides: ${libapt-pkg:provides}
Recommends: ubuntu-keyring
Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, gnupg
Section: admin
Description: Advanced front-end for dpkg
 This is Debian's next generation front-end for the dpkg package manager.
 It provides the apt-get utility and APT dselect method that provides a 
 simpler, safer way to install and upgrade packages.
 .
 APT features complete installation ordering, multiple source capability
 and several other unique features, see the Users Guide in apt-doc.

Package: apt-doc
Architecture: all
Priority: optional
Replaces: apt (<< 0.5.4.9)
Section: doc
Description: Documentation for APT
 This package contains the user guide and offline guide, for APT, an
 Advanced Package Tool.

Package: libapt-pkg-dev
Architecture: any
Priority: optional
Depends: apt (= ${Source-Version}), apt-utils (= ${Source-Version}), ${libapt-pkg:provides}, ${libapt-inst:provides}
Section: libdevel
Description: Development files for APT's libapt-pkg and libapt-inst
 This package contains the header files and libraries for
 developing with APT's libapt-pkg Debian package manipulation
 library and the libapt-inst deb/tar/ar library.

Package: libapt-pkg-doc
Architecture: all
Priority: optional
Section: doc
Description: Documentation for APT development
 This package contains documentation for development of the APT
 Debian package manipulation program and its libraries.

Package: apt-utils
Architecture: any
Depends: ${shlibs:Depends}
Priority: important
Provides: ${libapt-inst:provides}
Replaces: apt (<< 0.5.9)
Section: admin
Description: APT utility programs
 This package contains some APT utility programs such as apt-ftparchive,
 apt-sortpkgs and apt-extracttemplates.
 .
 apt-extracttemplates is used by debconf to prompt for configuration 
 questions before installation. apt-ftparchive is used to create Package
 and other index files. apt-sortpkgs is a Package/Source file normalizer.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.
# $Id: rules,v 1.68 2004/05/30 18:21:43 mdz Exp $

# LD_LIBRARY_PATH=pwd/debian/apt/usr/lib dh_shlibdeps -papt
# dpkg: /home/jgg/work/apt2/debian/apt/usr/lib/libapt-pkg.so.2.9 not found.

# For the deb builder, you can run 'debian/rules cvs-build', which does all
# steps nescessary to produce a proper source tarball with the CVS/ removed.
# It builds in debian/cvs-build/apt-<VER>/, and places files in
# debian/cvs-build/.  Optionally, you can run 'debian/rules cvs-mkul' to
# create ../upload-<VER>, with all the files needed to be uploaded placed
# in it.

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# See below
-include build/environment.mak

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  export CXXFLAGS = -O0 -g -Wall
else
  export CXXFLAGS = -O2 -g -Wall
endif

# Default rule
build:

PKG=apt
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')

# Determine the build directory to use
BASE=.
ifdef BUILD
BUILD_POSSIBLE := $(BUILD) $(BASE)/$(BUILD)
else
BUILD_POSSIBLE := $(BASE) $(BASE)/build-$(shell uname -m) $(BASE)/build
endif
BUILDX:= $(foreach i,$(BUILD_POSSIBLE),$(wildcard $(i)/environment.mak*))
BUILDX:= $(patsubst %/,%,$(firstword $(dir $(BUILDX))))
override BLD := $(BUILDX)

ifeq ($(words $(BLD)),0)
override BLD := ./build
endif

# Rebuild configure.in to have the correct version from the change log
ifneq ($(APT_DEBVER),$(APT_CONFVER))
ifneq ($(APT_DEBVER),)
.PHONY: configure.in
configure.in:
	sed -e 's/$(APT_CONFVER)/$(APT_DEBVER)/' $@ > $@.$$$$ && mv $@.$$$$ $@
endif
else
configure.in:
endif

# APT Programs in apt-utils
APT_UTILS=ftparchive sortpkgs extracttemplates

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Find the libapt-pkg major version for use in other control files
export LIBAPTPKG_MAJOR:=$(shell egrep '^MAJOR=' apt-pkg/makefile |cut -d '=' -f 2)
export LIBAPTINST_MAJOR:=$(shell egrep '^MAJOR=' apt-inst/makefile |cut -d '=' -f 2)

# Determine which package we should provide in the control files
LIBAPTPKG_PROVIDE=libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTPKG_MAJOR)
LIBAPTINST_PROVIDE=libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER)-$(LIBAPTINST_MAJOR)

debian/shlibs.local: apt-pkg/makefile
	# We have 3 shlibs.local files.. One for 'apt', one for 'apt-utils' and
	# one for the rest of the packages. This ensures that each package gets
	# the right overrides.. 
	rm -rf $@ $@.apt $@.apt-utils
	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR)" > $@.apt

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@.apt-utils
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR)" >> $@.apt-utils

	echo "libapt-pkg$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTPKG_MAJOR) $(LIBAPTPKG_PROVIDE)" > $@
	echo "libapt-inst$(GLIBC_VER)$(LIBSTDCPP_VER) $(LIBAPTINST_MAJOR) $(LIBAPTINST_PROVIDE)" >> $@

build: build/build-stamp	
build-doc: build/build-doc-stamp	

# Note that this is unconditionally done first as part of loading environment.mak
# The true is needed to force make to reload environment.mak after running
# configure-stamp. Otherwise we can get stale or invalid, or missing config data.
build/environment.mak: build/configure-stamp
	@true

configure: configure.in
build/configure-stamp: configure
	dh_testdir
	-mkdir build
	cp COPYING debian/copyright
	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
	touch $@

build/build-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) binary
	touch $@

build/build-doc-stamp: build/configure-stamp
	# Add here commands to compile the package.
	$(MAKE) doc
	touch $@

clean:
	dh_testdir
#	dh_testroot
	-$(MAKE) clean
	-$(MAKE) distclean

	rm -rf build

	# Add here commands to clean up after the build process.
	dh_clean debian/copyright debian/shlibs.local debian/shlibs.local.apt debian/shlibs.local.apt-utils

binary-indep: apt-doc libapt-pkg-doc
# Build architecture-independent files here.
libapt-pkg-doc: build-doc debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-doc install
#	
	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
                            $(BLD)/docs/files* $(BLD)/docs/method* \
			    doc/libapt-pkg2_to_3.txt doc/style.txt
	dh_installexamples -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

#	dh_undocumented -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
#	dh_suidregister -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

apt-doc: build-doc
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
#
# apt-doc install
#
	# Copy the guides
	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
	dh_installchangelogs -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_installdeb -p$@
	dh_gencontrol -p$@
	dh_md5sums -p$@
	dh_builddeb -p$@



# Build architecture-dependent files here.

binary-arch: apt libapt-pkg-dev apt-utils 
apt: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@ /usr/share/bug/$@ /usr/share/$@
#
# apt install
#
	cp $(BLD)/bin/apt-* debian/$@/usr/bin/

	# Remove the bits that are in apt-utils
	rm $(addprefix debian/$@/usr/bin/apt-,$(APT_UTILS))

	# install the shared libs
	find $(BLD)/bin/ -type f -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;
	find $(BLD)/bin/ -type l -name "libapt-pkg*.so.*" -exec cp -a "{}" debian/$@/usr/lib/ \;

	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/

	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
	cp -r $(BLD)/locale debian/$@/usr/share/

	cp debian/bugscript debian/$@/usr/share/bug/apt/script

	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@

#	head -n 500 ChangeLog > debian/ChangeLog

	# make rosetta happy and remove pot files in po/ (but leave stuff
	# in po/domains/* untouched) and cp *.po into each domain dir
	rm -f build/po/*.pot
	rm -f po/*.pot

	dh_installexamples -p$@ $(BLD)/docs/examples/*
	dh_installman -p$@ 
	dh_installcron -p$@
	dh_installdocs -p$@
	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@
	dh_fixperms -p$@
	dh_makeshlibs -p$@ -m$(LIBAPTPKG_MAJOR) -V '$(LIBAPTPKG_PROVIDE)'
	dh_installdeb -p$@
	dh_shlibdeps -p$@ -l`pwd`/debian/apt/usr/lib:`pwd`/debian/$@/usr/lib -- -Ldebian/shlibs.local.apt
	dh_gencontrol -p$@ -u -Vlibapt-pkg:provides=$(LIBAPTPKG_PROVIDE)
	dh_md5sums -p$@
	dh_builddeb -p$@

libapt-pkg-dev: build debian/shlibs.local
	dh_testdir -p$@
	dh_testroot -p$@
	dh_clean -p$@ -k
	dh_installdirs -p$@
#
# libapt-pkg-dev install
#
	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
#	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/

	dh_installdocs -p$@
#	dh_installmenu -p$@
#	dh_installinit -p$@
#	dh_installcron -p$@
#	dh_installman -p$@

	dh_installchangelogs -p$@
	dh_strip -p$@
	dh_compress -p$@

## apt 0.6.43.3ubuntu3.1

=== debian/changelog ===
apt (0.6.43.3ubuntu3.1) dapper-security; urgency=low

  * SECURITY UPDATE: honor expired and revoked key signatures
    - adjust methods/gpgv.cc to mark a signature as valid only if GOODSIG
      is set by gpgv
    - CVE-XXXX-XXXX
    - Based on patch by Michael Vogt
  * SECURITY UPDATE: ensure automatic updates are not permanently disabled
    in certain situations when the timezone's DST starts at midnight
    - adjust debian/apt.cron.daily to check the return code of date
    - CVE-XXXX-XXXX

 -- Jamie Strandboge <jamie@ubuntu.com>  Fri, 17 Apr 2009 09:24:17 -0500

apt (0.6.43.3ubuntu3) dapper-proposed; urgency=low

  * methods/http.cc:
    - check more careful for incorrect proxy settings (lp: #47044)
  * apt-inst/contrib/extracttar.cc:
    - fix string corruption (see debian #373864 for details) this
      affects apt runing under cron

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 28 Aug 2006 17:37:28 +0200

## apt 0.6.45ubuntu14

=== debian/changelog ===
apt (0.6.45ubuntu14) edgy; urgency=low

  * cmdline/apt-get.cc:
    - fix in the TryInstallTask() code to make sure that all package
      there are marked manual install (lp: #61684)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 28 Sep 2006 00:34:20 +0200

apt (0.6.45ubuntu13) edgy; urgency=low

  * no-changes upload to make apt rebuild against latest g++ and
    fix synaptic FTBFS (see bug: #62461 for details)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 26 Sep 2006 22:33:10 +0200

apt (0.6.45ubuntu12) edgy; urgency=low

  * apt-pkg/depcache.cc:
    - fix in the sweep() code, set garbage flag for packages scheduled 
      for removal too
    - do not change the autoFlag in MarkKeep(), this can lead to suprising
      side effects

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 21 Sep 2006 00:58:24 +0200

apt (0.6.45ubuntu11) edgy; urgency=low

  * removed "installtask" and change it so that tasknames can be given
    with "apt-get install taskname^"
  * improve the writeStateFile() code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Sep 2006 14:14:24 +0200

apt (0.6.45ubuntu10) edgy; urgency=low

  * methods/http.cc:
    - check more careful for incorrect proxy settings (closes: #378868)
  * methods/gzip.cc:
    - don't hang when /var is full (closes: #341537), thanks to
      Luis Rodrigo Gallardo Cruz for the patch
  * doc/examples/sources.list:
    - removed non-us.debian.org from the example (closes: #380030,#316196)
  * Merged from Christian Perrier bzr branch:
    * sk.po: Updated to 514t. Closes: #386851
    * ja.po: Updated to 514t. Closes: #386537
    * gl.po: Updated to 514t. Closes: #386397
    * fr.po: Updated to 516t.
    * fi.po: Updated to 512t. Closes: #382702
  * share/archive-archive.gpg:
    - removed the outdated amd64 and debian-2004 keys
  * apt-pkg/tagfile.cc:
    - applied patch from Jeroen van Wolffelaar to make the tags
      caseinsensitive (closes: #384182)
    - reverted MMap use in the tagfile because it does not work 
      across pipes (closes: #383487) 
  * added "installtask" command
  * added new ubuntu specific rewrite rule for "Original-Maintainer"
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Sep 2006 15:07:51 +0200

apt (0.6.45ubuntu9) edgy; urgency=low

  * cmdline/apt-get.cc:
    - if --no-remove is given, do not run the AutoRemove code 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 13 Sep 2006 11:54:20 +0200

apt (0.6.45ubuntu8) edgy; urgency=low

  * apt-pkg/algorithm.cc:
    - fix pkgProblemResolver.InstallProtect() to preserve the auto-install
      information (lp: #59457)
  * cmdline/apt-get.cc:
    - fix typo in autoremove information (lp: #59420)
  * install apt-mark to modify the automatically install information for
    packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  8 Sep 2006 20:07:22 +0200

apt (0.6.45ubuntu7) edgy; urgency=low

  * apt-pkg/depcache.cc:
    - fix a bug in the install-recommends-section code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Sep 2006 18:22:38 +0200

apt (0.6.45ubuntu6) edgy; urgency=low

  [Michael Vogt]
  * cmdline/apt-get.cc:
    - always show auto-removable packages and give a hint how to remove 
      them
  * debian/apt.conf.ubuntu:
    - exlucde linux-image and linux-restricted-modules from ever being 
      auto-removed
    - added "metapackages" as the section we want to install recommends
      by default
  * apt-pkg/depcache.cc:
    - added support to turn install-recommends selectively on/off by
      section
  [Ian Jackson]
  * Tests pass without code changes!  Except that we need this:
  * Bump cache file major version to force rebuild so that Breaks
    dependencies are included.
  * Don't depend on or suggest any particular dpkg or dpkg-dev versions;
    --auto-deconfigure is very very old and dpkg-dev's Breaks support
    is more or less orthogonal.
  * Initial draft of `Breaks' implementation.  Appears to compile,
    but as yet *completely untested*.

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Sep 2006 11:50:52 +0200

apt (0.6.45ubuntu5) edgy; urgency=low

  * apt-pkg/pkgcachegen.cc:
    - increase the APT::Cache-Limit to deal with the increased demand due
      to the translated descriptions
  * apt-pkg/deb/dpkgpm.cc:
    - pass "--auto-deconfigure" to dpkg on install to support the
      new "breaks" in dpkg

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Aug 2006 12:06:26 +0200

apt (0.6.45ubuntu4) edgy; urgency=low

  * cmdline/apt-get.cc:
    - fix in the new --fix-polciy code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Aug 2006 21:08:11 +0200

apt (0.6.45ubuntu3) edgy; urgency=low

  * ABI break
  * merged latest apt--install-recommends (closes: #559000)
  * added "--fix-policy" option to can be used as "--fix-broken" and
    will install missing weak depends (recommends, and/or suggests 
    depending on the settings)
  * merged the apt--ddtp branch

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Aug 2006 12:53:23 +0200

apt (0.6.45ubuntu2) edgy; urgency=low

  * debian/control:
    - switched to libdb4.4 for building (closes: #381019)
  * cmdline/apt-get.cc:
    - show only the recommends/suggests for the candidate-version, not for all
      versions of the package (closes: #257054)
    - properly handle recommends/suggests or-groups when printing the list of
      suggested/recommends packages (closes: #311619)
  * merged "apt--install-recommends" branch:
    - added "{no-}install-recommends" commandline option
    - added APT::Install-{Recommends,Suggests} option
    - currently Install-Recommends defaults to "False" 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  9 Aug 2006 23:38:46 +0200

apt (0.6.45ubuntu1) edgy; urgency=low

  * merged with debian/unstable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  1 Aug 2006 15:43:22 +0200

apt (0.6.45) unstable; urgency=low

  * apt-pkg/contrib/sha256.cc:
    - fixed the sha256 generation (closes: #378183)
  * ftparchive/cachedb.cc:


=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: important
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
-Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 4.1.62), libdb4.3-dev, gettext (>= 0.12)
+Standards-Version: 3.6.2.2
+Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
 
 Package: apt

=== debian/rules ===
--- 
+++ 
@@ -211,7 +211,7 @@
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
 	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
-
+	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
 #	head -n 500 ChangeLog > debian/ChangeLog
 
 	# make rosetta happy and remove pot files in po/ (but leave stuff
@@ -253,6 +253,3 @@
 #	dh_installcron -p$@
 #	dh_installman -p$@
 
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@

## apt 0.6.46.4ubuntu10

=== debian/changelog ===
apt (0.6.46.4ubuntu10) feisty; urgency=low

  * apt-pkg/depcache.cc:
    - added "APT::Never-MarkAuto-Section" and consider dependencies 
      of packages in this section manual (LP#59893)
    - ensure proper permissions in the extended_state file (LP#67037)
  * debian/apt.conf.ubuntu:
    - added APT::Never-MarkAuto-Section "metapackages" (LP#59893)
  * cmdline/apt-get.cc:
    - "apt-get install foo" on a already installed package foo will
      clean the automatic installed flag (LP#72007)
    - do not show packages already marked for removal as auto-installed
      (LP#64493)
    - applied patch to (optionally) hide the auto-remove information
      (thanks to Frode M. Døving) (LP#69148)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Mar 2007 13:32:32 +0100

apt (0.6.46.4ubuntu9) feisty; urgency=low

  * debian/control:
    - set XS-Vcs-Bzr header
    - Set Ubuntu maintainer address
  * apt-pkg/cdrom.cc:
    - only unmount if APT::CDROM::NoMount is false
    - only umount if it was mounted by the method before
  * cmdline/apt-get.cc:
    - fix version output in autoremove list (LP#68941)
  * apt-pkg/packagemanager.cc:
    - do not spin 100% cpu in FixMissing() (LP#84476)
  * apt-pkg/indexfile.cc:
    - fix problem overwriting APT::Acquire::Translation
  * doc/examples/configure-index:
    - document APT::Acquire::Translation
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 15:24:39 +0100

apt (0.6.46.4ubuntu8) feisty; urgency=low

  * fix segfault in the pkgRecords destructor
  * Bump ABI version
  * debian/control:
    - make the libcurl3-gnutls-dev versionized (LP#86614)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 14:26:33 +0100

apt (0.6.46.4ubuntu7) feisty; urgency=low

  * Merged the apt--mirror branch. This means that a new 'mirror' 
    method is available that will allow dynamic mirror updates.
    The sources.list entry looks something like this:
    "deb mirror://mirrors.lp.net/get_mirror feisty main restricted"

    It also supports error reporting to a configurable url for mirror
    problems/failures.
  * Bump ABI version

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 11:38:06 +0100

apt (0.6.46.4ubuntu6) feisty; urgency=low

  * methods/http.cc:
    - send apt version in User-Agent
  * apt-pkg/deb/debrecords.cc:
    - fix SHA1Hash() return value
  * apt-pkg/algorithms.cc:
    - fix resolver bug on removal triggered by weak-dependencies 
      with or-groups
    - fix segfault (lp: #76530)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 20 Dec 2006 11:04:36 +0100

apt (0.6.46.4ubuntu5) feisty; urgency=low

  * added apt-transport-https package to provide a optional
    https transport (apt-https spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Dec 2006 16:23:43 +0100

apt (0.6.46.4ubuntu4) feisty; urgency=low
  
  * apt-pkg/algorithms.cc:
    - only increase the score of installed applications if they 
      are not obsolete 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Dec 2006 19:39:05 +0100

apt (0.6.46.4ubuntu3) feisty; urgency=low

  * apt-pkg/algorithm.cc:
    - use clog for all debugging
  * apt-pkg/depcache.cc:
    - never mark Required package for autoremoval (lp: #75882)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Dec 2006 11:56:05 +0100

apt (0.6.46.4ubuntu2) feisty; urgency=low

  * apt-pkg/algorithms.cc: add missing call to MarkKeep
    so that dist-upgrade isn't broken by unsatisfiable Breaks.
    (thanks to Ian Jackson)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Dec 2006 23:07:24 +0100

apt (0.6.46.4ubuntu1) feisty; urgency=low

  * merged with debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  7 Dec 2006 12:13:14 +0100

apt (0.6.46.4) unstable; urgency=high

  * ack NMU (closes: #401017)
  * added apt-secure.8 to "See also" section
  * apt-pkg/deb/dpkgpm.cc:
    - added "Dpkg::StopOnError" variable that controls if apt
      will abort on errors from dpkg
  * apt-pkg/deb/debsrcrecords.{cc,h}:
    - make the Buffer grow dynmaically (closes: #400874)
  * Merged from Christian Perrier bzr branch:
    - uk.po: New Ukrainian translation: 483t28f3u
    - el.po: Update to 503t9f2u
    - de.po: Updates and corrections.
  * apt-pkg/contrib/progress.cc:
    - OpProgress::CheckChange optimized, thanks to Paul Brook
      (closes: #398381)
  * apt-pkg/contrib/sha256.cc:
    - fix building with noopt

 -- Michael Vogt <mvo@debian.org>  Thu,  7 Dec 2006 10:49:50 +0100

apt (0.6.46.3-0.2) unstable; urgency=high

  * Non-maintainer upload with permission of Michael Vogt.
  * Fix FTBFS on most arches (regression from the fix of #400874)

 -- Andreas Barth <aba@not.so.argh.org>  Tue,  5 Dec 2006 15:51:22 +0000 
  

apt (0.6.46.3-0.1) unstable; urgency=high

  * Non-maintainer upload with permission of Michael Vogt.
  * Fix segfault at apt-get source. Closes: #400874
  * Add apt-key update in postinst, so that debian-archive-keyring doesn't
    need to depend on apt >= 0.6. Closes: #401114
  * Don't double-queue pdiff files. Closes: #401017
  
 -- Andreas Barth <aba@not.so.argh.org>  Tue,  5 Dec 2006 10:34:56 +0000

apt (0.6.46.3ubuntu2) feisty; urgency=low

  * apt-pkg/algorithms.cc: add missing call to MarkKeep
    so that dist-upgrade isn't broken by unsatisfiable Breaks.

 -- Ian Jackson <iwj@ubuntu.com>  Thu,  7 Dec 2006 15:46:52 +0000

apt (0.6.46.3ubuntu1) feisty; urgency=low

  * doc/apt-get.8.xml:
    - documented autoremove, thanks to Vladimír Lapá%GÄ%@ek 
      (lp: #62919)
  * fix broken i18n in the dpkg progress reporting, thanks to 
    Frans Pop and Steinar Gunderson. (closes: #389261)
  * po/en_GB.po:
    - typo (lp: #61270)
  * add apt-secure.8 to "See also" section

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 23 Nov 2006 07:24:12 +0100

apt (0.6.46.3) unstable; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - make progress reporting robust against multiline error
      messages 

  * Merged from Christian Perrier bzr branch:


=== debian/control ===
--- 
+++ 
@@ -1,11 +1,13 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: APT Development Team <deity@lists.debian.org>
+Maintainer: Michael Vogt <mvo@ubuntu.com>
+XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.2.2
-Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12)
+Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12), libcurl3-gnutls-dev (>= 7.15.5)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
+XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apt/ubuntu
 
 Package: apt
 Architecture: any
@@ -65,3 +67,12 @@
  apt-extracttemplates is used by debconf to prompt for configuration 
  questions before installation. apt-ftparchive is used to create Package
  and other index files. apt-sortpkgs is a Package/Source file normalizer.
+
+Package: apt-transport-https
+Architecture: any
+Depends: ${shlibs:Depends}
+Priority: optional
+Section: admin
+Description: APT https transport
+ This package contains a APT https transport. It makes it possible to
+ use 'deb https://foo distro main' lines in the sources.list.

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 PKG=apt
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
-APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
+APT_DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' -e 's/\+.*$$//')
 APT_CONFVER=$(shell sed -n -e 's/^AC_DEFINE_UNQUOTED(VERSION,"\(.*\)")/\1/p' configure.in)
 APT_CVSTAG=$(shell echo "$(APT_DEBVER)" | sed -e 's/^/v/' -e 's/\./_/g')
 
@@ -185,7 +185,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: apt libapt-pkg-dev apt-utils 
+binary-arch: apt-transport-https apt libapt-pkg-dev apt-utils
 apt: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
@@ -218,6 +218,10 @@
 	# in po/domains/* untouched) and cp *.po into each domain dir
 	rm -f build/po/*.pot
 	rm -f po/*.pot
+
+	# move the mirror failure script in place
+	mv debian/$@/usr/bin/apt-report-mirror-failure \
+	   debian/$@/usr/lib/apt/apt-report-mirror-failure \
 
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ 
@@ -245,11 +249,3 @@
 	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
 	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
 #	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
-	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/
-
-	dh_installdocs -p$@
-#	dh_installmenu -p$@
-#	dh_installinit -p$@
-#	dh_installcron -p$@
-#	dh_installman -p$@
-

## apt 0.6.46.4-0.1~bpo.1

=== debian/changelog ===
apt (0.6.46.4-0.1~bpo.1) sarge-backports; urgency=low

  * Rebuilt for sarge.
  * Fixed build-failure in apt-pkg/contrib/sha256.h.
  * Built against libdb4.2-dev instead libdb4.4-dev.
  * Added autoconf to build-dependencies. 

 -- Norbert Tretkowski <nobse@backports.org>  Wed, 28 Feb 2007 17:48:32 +0100

apt (0.6.46.4-0.1) unstable; urgency=emergency

  * NMU
  * Fix broken use of awk in apt-key that caused removal of the wrong keys
    from the keyring. Closes: #412572

 -- Joey Hess <joeyh@debian.org>  Mon, 26 Feb 2007 16:00:22 -0500

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,19 @@
 Source: apt
 Section: admin
 Priority: important
-Maintainer: Michael Vogt <mvo@ubuntu.com>
-XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
+Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.6.2.2
-Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12), libcurl3-gnutls-dev (>= 7.15.5)
+Build-Depends: debhelper (>= 5.0), libdb4.2-dev, gettext (>= 0.12), autoconf
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
-XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/apt/ubuntu
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, debian-archive-keyring
 Priority: important
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}
-Recommends: ubuntu-keyring
-Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2, gnupg
+Suggests: aptitude | synaptic | gnome-apt | wajig, dpkg-dev, apt-doc, bzip2
 Section: admin
 Description: Advanced front-end for dpkg
  This is Debian's next generation front-end for the dpkg package manager.
@@ -67,12 +64,3 @@
  apt-extracttemplates is used by debconf to prompt for configuration 
  questions before installation. apt-ftparchive is used to create Package
  and other index files. apt-sortpkgs is a Package/Source file normalizer.
-
-Package: apt-transport-https
-Architecture: any
-Depends: ${shlibs:Depends}
-Priority: optional
-Section: admin
-Description: APT https transport
- This package contains a APT https transport. It makes it possible to
- use 'deb https://foo distro main' lines in the sources.list.

## apt 0.6.46.4-0.1+etch1

=== debian/changelog ===
apt (0.6.46.4-0.1+etch1) oldstable-security; urgency=high

  * debian/apt.cron.daily:
    - fix possible DST timestap releated auto-update problem
      (CVE-2009-1300, closes: #523213)
  * methods/gpgv.cc:
    - properly check for expired and revoked keys (closes: #433091)

 -- Michael Vogt <mvo@debian.org>  Sun, 19 Apr 2009 21:06:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: admin
 Priority: important
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Norbert Tretkowski <nobse@backports.org>
+Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.2.2
-Build-Depends: debhelper (>= 5.0), libdb4.2-dev, gettext (>= 0.12), autoconf
+Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12)
 Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
 
 Package: apt

=== debian/rules ===
--- 
+++ 
@@ -185,7 +185,7 @@
 
 # Build architecture-dependent files here.
 
-binary-arch: apt-transport-https apt libapt-pkg-dev apt-utils
+binary-arch: apt libapt-pkg-dev apt-utils 
 apt: build debian/shlibs.local
 	dh_testdir -p$@
 	dh_testroot -p$@
@@ -210,18 +210,9 @@
 
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
-	cp share/ubuntu-archive.gpg debian/$@/usr/share/$@
-	cp debian/apt.conf.ubuntu debian/$@/etc/apt/apt.conf.d/01ubuntu
+	cp share/debian-archive.gpg debian/$@/usr/share/$@
+
 #	head -n 500 ChangeLog > debian/ChangeLog
-
-	# make rosetta happy and remove pot files in po/ (but leave stuff
-	# in po/domains/* untouched) and cp *.po into each domain dir
-	rm -f build/po/*.pot
-	rm -f po/*.pot
-
-	# move the mirror failure script in place
-	mv debian/$@/usr/bin/apt-report-mirror-failure \
-	   debian/$@/usr/lib/apt/apt-report-mirror-failure \
 
 	dh_installexamples -p$@ $(BLD)/docs/examples/*
 	dh_installman -p$@ 
@@ -249,3 +240,17 @@
 	cp -a $(BLD)/bin/libapt-pkg*.so debian/libapt-pkg-dev/usr/lib/
 	cp -a $(BLD)/bin/libapt-inst*.so debian/libapt-pkg-dev/usr/lib/
 #	ln -s libapt-pkg.so.$(LIBAPTPKG_MAJOR) debian/libapt-pkg-dev/usr/lib/libapt-pkg.so
+	cp $(BLD)/include/apt-pkg/*.h debian/libapt-pkg-dev/usr/include/apt-pkg/
+
+	dh_installdocs -p$@
+#	dh_installmenu -p$@
+#	dh_installinit -p$@
+#	dh_installcron -p$@
+#	dh_installman -p$@
+
+	dh_installchangelogs -p$@
+	dh_strip -p$@
+	dh_compress -p$@
+	dh_fixperms -p$@
+#	dh_suidregister -p$@
+	dh_installdeb -p$@

## apt 0.6.46.4.osso1

=== debian/changelog ===
apt (0.6.46.4.osso1) unstable; urgency=low

  * Removed most docs since the Sardine build infrastructure can't build
    them.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 15 Feb 2007 20:40:18 +0200

apt (0.6.46.4.osso0) unstable; urgency=low

  Make it work for maemo.

  * Do not expect the debian-archive-keyring package to be present.  Don't
    run apt-key update in apt.postinst.
  * Reduced debhelper compat version to 4, fingers crossed.
  * Do not Build-Depend on libdb4.4-dev, don't expect apt-ftparchive to be
    build.
  * buildlib/environment.mak.in: Also build shared libraries on gnueabi
    platforms such as the armel architecture.
  * Get the host architecture name from dpkg-architecture instead of
    guessing via the archtable.
  * Applied mmap.patch that allows us to work on file systems that don't
    support read-write mmaps such as JFFS2.
  * Use CXXFLAGS instead of confcxxflags to control compiler options from
    debian/rules.
  * Pass -mthumb to compiler when requested by DEB_BUILD_OPTIONS.
  * Removed locale, cron, debian-archive keyring, man pages and other docs
    from apt package.
  
 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu, 15 Feb 2007 14:18:47 +0200

## apt 0.6.46.4.osso2

=== debian/changelog ===
apt (0.6.46.4.osso2) unstable; urgency=low

  * Applied gcc3-bug.patch which a long time ago did help against a
    segfault that was ultimately blamed on a bug in GCC 3.  It can't hurt,
    so let's have it.
  * Applied transientsigs.patch that allows us to survive transient
    network failures without throwing away good signatures.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Fri, 16 Feb 2007 15:41:26 +0200

## apt 0.6.46.4.osso3

=== debian/changelog ===
apt (0.6.46.4.osso3) unstable; urgency=low

  * Applied gpgvinfo.patch that causes the output of gpgv to be recorded
    in a /var/lib/apt/lists/foo.gpg.info file.  This is used for the trust
    domains in the Hildon Application Manager.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Mon, 23 Apr 2007 14:43:37 +0300

## apt 0.6.46.4.osso4

=== Makefile ===
# -*- make -*-

# This is the top level make file for APT, it recurses to each lower
# level make file and runs it with the proper target
ifndef NOISY
.SILENT:
endif

.PHONY: default
default: startup all

.PHONY: headers library clean veryclean all binary program doc
all headers library clean veryclean binary program doc dirs:
	$(MAKE) -C apt-pkg $@
	$(MAKE) -C apt-inst $@
	$(MAKE) -C methods $@
	$(MAKE) -C cmdline $@
	$(MAKE) -C ftparchive $@
	$(MAKE) -C dselect $@

#       Don't build docs for now.  If you reenable this, remember to
#       add the following build dependencies and to reenable to actions in
#       debian/rules.
#       Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
#	$(MAKE) -C doc $@

#	$(MAKE) -C po $@

# Some very common aliases
.PHONY: maintainer-clean dist-clean distclean pristine sanity 
maintainer-clean dist-clean distclean pristine sanity: veryclean

# The startup target builds the necessary configure scripts. It should
# be used after a CVS checkout.
CONVERTED=environment.mak include/config.h include/apti18n.h makefile
include buildlib/configure.mak
$(BUILDDIR)/include/config.h: buildlib/config.h.in
$(BUILDDIR)/include/apti18n.h: buildlib/apti18n.h.in
$(BUILDDIR)/environment.mak: buildlib/environment.mak.in
$(BUILDDIR)/makefile: buildlib/makefile.in

=== debian/changelog ===
apt (0.6.46.4.osso4) unstable; urgency=low

  * Applied trusthook.patch that gives us a way to hook into libapt-pkg
    when it is deciding where to download a archive file from and whether
    to trust it.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Tue, 24 Apr 2007 16:04:43 +0300

=== debian/rules ===
--- 
+++ 
@@ -33,6 +33,11 @@
   export CXXFLAGS = -O2 -g -Wall
 endif
 
+# Pass on thumb mode when enabled
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CXXFLAGS += -mthumb
+endif
+
 # Default rule
 build:
 
@@ -69,7 +74,7 @@
 endif
 
 # APT Programs in apt-utils
-APT_UTILS=ftparchive sortpkgs extracttemplates
+APT_UTILS=sortpkgs extracttemplates
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -109,7 +114,7 @@
 	dh_testdir
 	-mkdir build
 	cp COPYING debian/copyright
-	cd build && CXXFLAGS="$(confcxxflags)" ../configure $(confflags)
+	cd build && CXXFLAGS="$(CXXFLAGS)" ../configure $(confflags)
 	touch $@
 
 build/build-stamp: build/configure-stamp
@@ -143,9 +148,9 @@
 #
 # libapt-pkg-doc install
 #	
-	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
-                            $(BLD)/docs/files* $(BLD)/docs/method* \
-			    doc/libapt-pkg2_to_3.txt doc/style.txt
+#	dh_installdocs -p$@ $(BLD)/docs/cache* $(BLD)/docs/design* $(BLD)/docs/dpkg-tech* \
+#                            $(BLD)/docs/files* $(BLD)/docs/method* \
+#			    doc/libapt-pkg2_to_3.txt doc/style.txt
 	dh_installexamples -p$@
 #	dh_installmenu -p$@
 #	dh_installinit -p$@
@@ -171,8 +176,8 @@
 # apt-doc install
 #
 	# Copy the guides
-	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
-	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
+#	dh_installdocs -p$@ $(BLD)/docs/guide*.text $(BLD)/docs/guide*.html \
+#	               $(BLD)/docs/offline*.text $(BLD)/docs/offline*.html
 	dh_installchangelogs -p$@
 	dh_compress -p$@
 	dh_fixperms -p$@
@@ -206,18 +211,18 @@
 	cp $(BLD)/bin/methods/* debian/$@/usr/lib/apt/methods/
 
 	cp $(BLD)/scripts/dselect/* debian/$@/usr/lib/dpkg/methods/apt/
-	cp -r $(BLD)/locale debian/$@/usr/share/
+	#cp -r $(BLD)/locale debian/$@/usr/share/
 
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
-	cp share/debian-archive.gpg debian/$@/usr/share/$@
+#	cp share/debian-archive.gpg debian/$@/usr/share/$@
 
 #	head -n 500 ChangeLog > debian/ChangeLog
 
-	dh_installexamples -p$@ $(BLD)/docs/examples/*
-	dh_installman -p$@ 
-	dh_installcron -p$@
-	dh_installdocs -p$@
+#	dh_installexamples -p$@ $(BLD)/docs/examples/*
+#	dh_installman -p$@ 
+#	dh_installcron -p$@
+#	dh_installdocs -p$@
 	dh_installchangelogs -p$@
 	dh_strip -p$@
 	dh_compress -p$@
@@ -253,4 +258,3 @@
 	dh_compress -p$@
 	dh_fixperms -p$@
 #	dh_suidregister -p$@
-	dh_installdeb -p$@

## apt 0.6.46.4.osso5

=== debian/changelog ===
apt (0.6.46.4.osso5) unstable; urgency=low

  * Applied ignoretimeconflict.patch.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed,  2 May 2007 19:14:25 +0300

## apt 0.6.46.4.osso6

=== debian/changelog ===
apt (0.6.46.4.osso6) unstable; urgency=low

  * Bugfixed trusthook.patch to not get into infinite loops in certain
    cases.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Thu,  3 May 2007 14:18:47 +0300

## apt 0.6.46.4.osso7

=== debian/changelog ===
apt (0.6.46.4.osso7) unstable; urgency=low

  * Updated ignoretimeconflict.patch to also ignore time conflicts during
    signature verification.

 -- Marius Vollmer <marius.vollmer@nokia.com>  Wed,  9 May 2007 21:47:26 +0300

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Jason Gunthorpe <jgg@debian.org>, Adam Heath <doogie@debian.org>, Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.2.2
-Build-Depends: debhelper (>= 5.0), libdb4.4-dev, gettext (>= 0.12)
-Build-Depends-Indep: debiandoc-sgml, docbook-utils (>= 0.6.12-1)
+Build-Depends: debhelper (>= 4), gettext (>= 0.12)
 
 Package: apt
 Architecture: any
-Depends: ${shlibs:Depends}, debian-archive-keyring
+Depends: ${shlibs:Depends}
 Priority: important
 Replaces: libapt-pkg-doc (<< 0.3.7), libapt-pkg-dev (<< 0.3.7)
 Provides: ${libapt-pkg:provides}

=== debian/rules ===
--- 
+++ 
@@ -216,6 +216,10 @@
 	cp debian/bugscript debian/$@/usr/share/bug/apt/script
 
 #	cp share/debian-archive.gpg debian/$@/usr/share/$@
+
+	mkdir -p debian/$@/etc/apt/apt.conf.d
+	echo 'Acquire::gpgv::Options {"--ignore-time-conflict";};' \
+	     >debian/$@/etc/apt/apt.conf.d/50gpgv
 
 #	head -n 500 ChangeLog > debian/ChangeLog
 
@@ -250,11 +254,3 @@
 	dh_installdocs -p$@
 #	dh_installmenu -p$@
 #	dh_installinit -p$@
-#	dh_installcron -p$@
-#	dh_installman -p$@
-
-	dh_installchangelogs -p$@
-	dh_strip -p$@
-	dh_compress -p$@
-	dh_fixperms -p$@
-#	dh_suidregister -p$@
